@echo off
if "%~1"=="" goto help
echo Patching...
"%~dp0xdelta" -d -f -s %1 "%~dp0toi.dat" "%~dpn1(Patched)%~x1"
if %ERRORLEVEL%==9009 goto missingxdelta
if %ERRORLEVEL%==1 goto patchfailed
echo Done! The patched file has been created in the same folder as the original.
echo If the patch does not work, make sure that you applied it to the original,
echo unpatched, untrimmed ROM.
echo.
ping -n 3 127.0.0.1>nul
pause
cls
goto credit

:missingxdelta
echo.
echo Unable to find the xdelta patching utility. Make sure that you extract all
echo of the patch files to the same folsder before running this.
echo.
echo Extract it to this folder or download it from romhacking.net/utils/598/
echo.
ping -n 3 127.0.0.1>nul
pause
cls
goto credit

:patchfailed
echo.
echo The xdelta patching utility was unable to apply the patch. Make sure to use the
echo original (unpatched, untrimmed) ROM and extract all of the patch files to the
echo same folder before running this.
echo.
ping -n 3 127.0.0.1>nul
pause
cls
goto credit

:help
echo You're almost there, but don't try to open the Drop Rom Here file by itself.
echo To patch Tales of Innocence, close this window and drag the original
echo (unpatched, untrimmed) ROM onto the Drop Rom Here file. The patched ROM will
echo be created in the same folder as the original, with a different name.
echo.
ping -n 3 127.0.0.1>nul
pause
cls
goto credit


:credit
@echo off
color 0c
echo This fan translation is provided for free by Absolute Zero Translations.
echo    * Please do not attempt to sell this patch in any way, shape, or form.
echo    * Please do not post pre-patched roms using this patch.
echo    * Please do not attempt to modify this patch in any way.
echo    * Please do not use this patch as the basis for a derivative translation.
echo.
echo Any questions pertaining to the usage of this patch can be directed to the
echo Absolute Zero forum at http://www.absolutezerotranslations.com/forum/
echo.
echo.
echo.
echo If you are having trouble patching, check out the video from darkspirit456
echo at http://www.youtube.com/darkspirit456
echo.
echo.
echo -----------------------------Credits---------------------------------                                     
echo Translation Patch provided by Absolute Zero Translations
echo .bat modified by Darkspirit456                                                
echo ---------------------------------------------------------------------
goto end


:end
echo.
pause
cls
